Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365533 - Traceback when starting tuned-gui with inactive tuned service
Summary: Traceback when starting tuned-gui with inactive tuned service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Tereza Cerna
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 13:19 UTC by Tereza Cerna
Modified: 2016-11-04 07:28 UTC (History)
2 users (show)

Fixed In Version: tuned-2.7.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:28:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2479 normal SHIPPED_LIVE tuned bug fix and enhancement update 2016-11-03 14:08:42 UTC

Description Tereza Cerna 2016-08-09 13:19:52 UTC
Description of problem:
=======================
Traceback when starting tuned-gui with inactive tuned service.

Version-Release number of selected component (if applicable):
=============================================================
tuned-2.7.1-1.el7.noarch
tuned-gtk-2.7.1-1.el7.noarch

How reproducible:
=================
always

Steps to Reproduce:
===================

$ tuned-gui
  
  1. Fill password
  2. Set 'Start Tuned Daemon' to OFF
  3. Stop GUI application with cross in right top corner

$ systemctl status tuned | grep "Active:"
   Active: inactive (dead) since Tue 2016-08-09 15:10:34 CEST; 1min 55s ago

$ tuned-gui

  1. Fill password
  2. Click on 'Turn On'

Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

** (tuned-gui:4338): WARNING **: atk-bridge: Couldn't listen on dbus server: Failed to bind socket "/root/.cache/at-spi2-socket-4338": No such file or directory
Traceback (most recent call last):
  File "/usr/sbin/tuned-gui", line 976, in <module>
    base = Base()
  File "/usr/sbin/tuned-gui", line 318, in __init__
    self.label_actual_profile.set_text(self.controller.active_profile())
  File "/usr/lib/python2.7/site-packages/tuned/admin/dbus_controller.py", line 103, in active_profile
    return self._call("active_profile")
  File "/usr/lib/python2.7/site-packages/tuned/admin/dbus_controller.py", line 69, in _call
    self._init_proxy()
  File "/usr/lib/python2.7/site-packages/tuned/admin/dbus_controller.py", line 33, in _init_proxy
    self._proxy = bus.get_object(self._bus_name, self._object_name)
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 244, in __init__
    _dbus_bindings.validate_object_path(object_path)
ValueError: Invalid object path 'com.redhat.tuned.control': does not start with '/'

$ systemctl status tuned | grep "Active:"
   Active: active (running) since Tue 2016-08-09 15:13:26 CEST; 17s ago

$ tuned-gui

  1. Fill password
  2. See that application works and that tuned daemon is running (switched to ON)


Actual results:
===============
Traceback


Expected results:
=================
GUI application should work without traceback.

Comment 1 Jaroslav Škarvada 2016-08-09 14:08:25 UTC
Fixed by following upstream commit:
https://git.fedorahosted.org/cgit/tuned.git/commit/?id=83d573727be7a0341448f6ea2be716cd5ace1c66

Comment 3 Tereza Cerna 2016-08-10 11:13:30 UTC
================================
Verified in:
    tuned-2.7.1-2.el7.noarch
    tuned-gtk-2.7.1-2.el7.noarch
PASS
================================

# systemctl status tuned | grep "Active:"
   Active: inactive (dead) since Wed 2016-08-10 13:10:28 CEST; 8s ago

# tuned-gui
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

  1. Click on 'Turn On'
  2. See in application that tuned is active
  3. Close

# systemctl status tuned | grep "Active:"
   Active: active (running) since Wed 2016-08-10 13:10:44 CEST; 14s ago

There was no traceback during service starting.

Comment 5 errata-xmlrpc 2016-11-04 07:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2479.html


Note You need to log in before you can comment on or make changes to this bug.